<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Einkaufsliste</title>
</head>
<body>
    <h1>Einkaufsliste</h1>
    <label>Enter a new item:</label>
    <input type="text">
    <button>Add item</button>
    <ul></ul>

    <script>
        const input = document.querySelector('input');
        const button = document.querySelector('button');
        const list = document.querySelector('ul');

        button.onclick = function()
        {
            const value = input.value;
            const listItem = document.createElement('li');
            list.appendChild(listItem);
            listItem.innerHTML = `${value} <button>Delete</button>`;
            const deleteButton = listItem.querySelector('button');
            deleteButton.onclick = () => list.removeChild(listItem);
            input.value = "";
        }
    
        input.onkeydown = function(event)
        {
            if (event.key === 'Enter')
                button.click();
        }
        document.onclick = () => input.focus();
    </script>
</body>
</html>